### Method

# FwupdPlugin Plugin name_compare

since: 1.0.8

#### Declaration [src]

    gint
    fu_plugin_name_compare (
      FuPlugin* plugin1,
      FuPlugin* plugin2
    )

#### Description [src]

Compares two plugins by their names.

Available since: 1.0.8

#### Parameters

`plugin2`

  Type: `FuPlugin`

  Second `FuPlugin` to compare.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

1, 0 or -1 if `plugin1` is greater, equal, or less than `plugin2`.